<!DOCTYPE html>
<html>
    <head>
        <title>AAC Tools by Meerchat AAC</title>

        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta
            name="description"
            content="AAC tools is dedicated to open and available tools to make working with AAC easier for everyone."
        />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="robots" content="index" />

        <link
            rel="icon"
            href="./images/aac.tools.svg"
            type="image/svg+xml"
            sizes="any"
        />
        <link type="text/css" rel="stylesheet" href="./style/style.min.css" />

        <script src="https://cdn.passwordless.dev/dist/1.1.0/umd/passwordless.umd.min.js" crossorigin="anonymous"></script>
        <script src="./js/tools.min.js"></script>
    </head>
    <body>
        <header>
            <img src ="./images/aac.tools.svg" alt="AAC Tools" />
            <span class="title">AAC tools</span>
            <user-details style="height: 5rem;"></user-details>
        </header>
        <div class="page">
            <div class="hello">
                <span class="bubble">Hey there!</span>
                <span class="meerchat">
                    <div class="logo"></div>
                </span>
                <span class="saying">
                    Welcome to AAC.tools.
                    <span class="beta">(by Meerchat)</span>
                </span>
                <span class="description">
                    At AAC.tools our goal is to compile and build a set of tools to make 
                    augmentative and alternative communication (AAC) more easily accessible for everyone.
                </span>
            </div>
            <div class="tools">
                <span class="saying">
                    This box is just getting started...
                </span>
                <span class="description">
                    Explore the initial tools below, and stay tuned for more exciting additions on the way! 🛠️ 🚀
                </span>
                <div class="slider">
                    <span class="tool">
                        <a href="https://meerchat.app/hello">
                            <img src="./images/meerchat.svg" alt="Meerchat AAC" />
                            <span class="name">Meerchat</span>
                            <span class="details">
                                Meerchat AAC is an innovative, cloud-based augmentative and alternative 
                                communication (AAC) application that can be accessed on any device and 
                                is designed with user-friendliness in mind.
                            </span>
                        </a>
                    </span>
                    <span class="tool">
                        <a href="https://aac.tools/boards">
                            <img src="./images/board-search.png" alt="Low Tech Boards" />
                            <span class="name">Low Tech</span>
                            <span class="details">Search, share and print boards to create low tech AAC resources.</span>
                        </a>
                    </span>
                </div>
            </div>
        </div>
        <site-footer></site-footer>
        <div id="dialog" class="hidden"></div>

        <script>
            // define settings
            const settings = {
                debug: true,
            };

            // add the web components after the app loads to make sure we have the available
            const components = [
                { path: 'website/footer', shared: false },
                { path: 'user-details', shared: true },
            ];
            components.forEach((c) => {
                let url = '.';
                if (c.shared) {
                    url = settings.debug ? `https://assets.meerchat.app` : `https://assets.meerchat.app`;
                }

                const script = document.createElement('script');
                script.src = `${url}/js/components/${c.path}/${settings.debug ? 'component.js' : 'component.min.js'}`;
                document.body.appendChild(script);
            });

            // start the app
            window.Tools = null;
            const run = async () => {
                window.Tools = await Application(settings);
            };
            run();
        </script>
    </body>
</html>